﻿

namespace CoreLibrary.Events
{
    /// <summary>
    /// Représente les arguments d'événement pour l'événement d'ajout d'un jeton.
    /// </summary>
    public class AjouterJetonEventArgs : EventArgs
    {
        /// <summary>
        /// Obtient le jeton ajouté.
        /// </summary>
        public Jeton Jeton { get; private set; }

        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="AjouterJetonEventArgs"/> avec le jeton spécifié.
        /// </summary>
        /// <param name="jeton">Le jeton à ajouter.</param>
        public AjouterJetonEventArgs(Jeton jeton) 
        {
            Jeton = jeton;
        }
    }
}
