﻿namespace CoreLibrary.Exceptions
{
    /// <summary>
    /// Exception levée lorsqu'un code avec une taille invalide est ajouté à la grille.
    /// </summary>
    public class CodeInvalideException : Exception
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="CodeInvalideException"/>.
        /// </summary>
        /// <param name="tailleCodeAjoute">La taille du code que vous essayez d'ajouter.</param>
        /// <param name="tailleCodePlateau">La taille du code que le plateau attend.</param>
        public CodeInvalideException(int tailleCodeAjoute, int tailleCodePlateau) :
            base($"Le code que vous essayez d'ajouter est un code de taille {tailleCodeAjoute}, or le plateau attend un code de {tailleCodePlateau}.")
        { }
    }
}
