﻿namespace CoreLibrary.Exceptions
{
    /// <summary>
    /// Exception levée lorsqu'un indice de jeton est invalide.
    /// </summary>
    public class IndiceCodeException : Exception
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="IndiceCodeException"/>.
        /// </summary>
        /// <param name="indice">L'indice incorrect qui a été spécifié.</param>
        /// <param name="indiceMax">L'indice maximum permis.</param>
        public IndiceCodeException(int indice, int indiceMax) :
            base($"Vous avez essayé de récupérer le jeton à la place {indice}, mais son indice doit être compris entre 0 et {indiceMax}.")
        { }
    }
}
