﻿namespace CoreLibrary.Exceptions
{
    /// <summary>
    /// Exception levée lorsqu'une taille de code invalide est spécifiée.
    /// </summary>
    public class TailleCodeException : Exception
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="TailleCodeException"/>.
        /// </summary>
        /// <param name="taille">La taille du code spécifiée.</param>
        public TailleCodeException(int taille) : 
            base($"Un code doit avoir une taille positive non nulle, or il a reçu {taille}.")
        { }
    }
}
