﻿namespace CoreLibrary
{
    /// <summary>
    /// Représente un joueur.
    /// </summary>
    public class Joueur
    {
        /// <summary>
        /// Obtient le nom du joueur.
        /// </summary>
        public string Nom { get; private init; }
        /// <summary>
        /// Obtient le plateau du joueur.
        /// </summary>
        public Plateau Plateau { get; private init; }

        /// <summary>
        /// Crée une nouvelle instance de joueur avec un nom et un plateau spécifié. 
        /// </summary>
        /// <param name="nom">Le nom du joueur</param>
        /// <param name="plateau">Le plateau du joueur</param>
        public Joueur(string nom, Plateau plateau)
        {
            Nom = nom;
            Plateau = plateau;
        }
    }
}
